Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.annotations
Enum FlushModeType

    java.lang.Object
      java.lang.Enum<FlushModeType>
          org.jboss.seam.annotations.FlushModeType

All Implemented Interfaces:
  Serializable, Comparable<FlushModeType>

    public enum FlushModeType

extends Enum<FlushModeType>

A full set of flush modes, including MANUAL, which is a glaring missing feature of the JPA spec.

Author:
  Gavin King

Enum Constant Summary
`AUTO` Flushing occurs automatically at commit time and when necessary before query executions.
`COMMIT` Flushing occurs automatically at transaction commit time.
`MANUAL` Flushing never occurs automatically, all changes are queued until the application calls flush() explicitly.

Method Summary
`boolean` | `dirtyBetweenTransactions()` Does this flush mode keep unflushed changes past a transaction commit?
`static FlushModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FlushModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANUAL

    public static final FlushModeType MANUAL

  Flushing never occurs automatically, all changes are queued until the application calls flush() explicitly.

### AUTO

    public static final FlushModeType AUTO

  Flushing occurs automatically at commit time and when necessary before query executions.

### COMMIT

    public static final FlushModeType COMMIT

  Flushing occurs automatically at transaction commit time.

Method Detail

### values

    public static final FlushModeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FlushModeType c : FlushModeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FlushModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### dirtyBetweenTransactions

    public boolean dirtyBetweenTransactions()

  Does this flush mode keep unflushed changes past a transaction commit?

  Returns:
    false for all flush modes except for MANUAL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD